<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "gMap"					                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

== Version: 4.1 / November 2013 ==

*/

define('CPO', true);
require_once('../_include/checkaccess.inc.php'); 
include(CPO_BASEDIR.$activeModules[$directory]['directory'].'/includes/producer.inc.php');

// Moduleinstellungen speichern (neue Version mit automatischem Einlesen neuer Variablen)************
if (isset($_POST['go'])) {
	$new_settings = $_POST;
    foreach ($activeModules[$directory] as $k=>$v) {
        if (!isset($_POST['cpoMapNew'][$k])) continue;
        if (is_bool($activeModules[$directory][$k])) {
            $activeModules[$directory][$k] = (bool) $_POST['cpoMapNew'][$k];
        } else {
			$activeModules[$directory][$k] = $_POST['cpoMapNew'][$k];
		}
		if (array_key_exists($k, $new_settings['cpoMapNew'])) unset($new_settings['cpoMapNew'][$k]);
    }
    foreach ($new_settings['cpoMapNew'] as $k=>$v) {
		$activeModules[$directory][$k] = $new_settings['cpoMapNew'][$k];
	}
    $c_datum = date ("Y-m-d H:i:s", time());
    $query = sprintf(
             "UPDATE ".CPO_MODULES." SET options ="
            ." '%s' WHERE name = '%s'", 
            addslashes(serialize($activeModules[$directory])),
			$directory
    );
    DEBUG(1, $query, __FILE__, __LINE__);
    $db = new DB;
    $db->query($query); 

    $message[] = __('Module settings were updated!');
}

require(CPO_BASEDIR.'_include/header.php');

?>

<script type="text/javascript"><!--


function textarea (boxid, link){ 
	var t=document.getElementById(boxid); 
	if(link.innerHTML=='<?php echo __('enlarge'); ?>'){ 
		t.style.height = t.offsetHeight+500+"px"; 
		link.innerHTML='<?php echo __('reduce'); ?>'; 
	} else{ 
		t.style.height = t.offsetHeight-500+"px"; 
		link.innerHTML='<?php echo __('enlarge'); ?>'; 
	} 
} 

//--> </script>

<?php

printPageHeader(
    __('Google-map module settings'),
    __('In this view you can work on the google-map module settings.'),
	'http://manual.conpresso4.de/gmap/settings.htm',
	true,
	'modules'
);
include(CPO_BASEDIR.'_include/message.php');

	
echo '<form method="post" action="'.$_SERVER['PHP_SELF'].'" name="modulesettings">';
echo '<input type="hidden" name="go" value="1">';

include(CPO_BASEDIR.$activeModules[$directory]['directory'].'/includes/license.inc.php');

// table header {{{
echo '<table class="colored" style="width: 100%;">';
echo '<thead><tr>';

echo '<th colspan="2"><span>'.__('Rubric settings').'</span></th>';

echo '</tr></thead><tbody>';
// }}}

echo '<tr>';
    echo '<td class="leftrow">';
    echo __('Show articles:');
    echo '</td>';
    echo '<td class="rightrow">';
    echo '<select name="cpoMapNew[showArticles]" size="1">';
    $selnone = ($activeModules[$directory]['showArticles']=="none") ? ' selected="selected"' :'';
    $selbefore = ($activeModules[$directory]['showArticles']=="before") ? ' selected="selected"' :'';
    $selafter = ($activeModules[$directory]['showArticles']=="after") ? ' selected="selected"' :'';
    echo '<option value="none"'.$selnone.'>'.__('none').'</option>';
    echo '<option value="before"'.$selbefore.'>'.__('above map').'</option>';
    echo '<option value="after"'.$selafter.'>'.__('below map').'</option>';
    echo '</select>';
    echo '</td>';
echo '</tr>';
if (version_compare($CPO['version'], '4.1.0') >= 0) {
    echo '<tr>';
        echo '<td class="leftrow">';
        echo __('Page-Template:');
        echo '</td>';
        echo '<td class="rightrow">';
        echo '<select name="cpoMapNew[pagetemplate_index]" size="1">';
        echo '<option value="-2"'
            .($activeModules[$directory]['pagetemplate_index']==-2 ? ' selected' : '')
            .'>--- '.__('act like enclosing rubric').' ---</option>';
        echo '<option value="0"'
            .($activeModules[$directory]['pagetemplate_index']==0 ? ' selected' : '')
            .'>--- '.___('Use header and footer files').' ---</option>';
        $query = 'SELECT id, name FROM '.CPO_PAGETEMPLATES.' '
                .'ORDER BY name';
        $db->query($query);
        $_pagetemplates = array();
        while ($db->next_record()) {
            $_pagetemplates[$db->v('id')] = $db->v('name');
        }
        foreach ($_pagetemplates as $k=>$v) {
            echo '<option value="'.htmlspecialchars($k, ENT_COMPAT, 'ISO-8859-15').'"'
                .($activeModules[$directory]['pagetemplate_index']==$k ? ' selected' : '')
                .'>'.htmlspecialchars($v, ENT_COMPAT, 'ISO-8859-15').'</option>';
        }
        echo '</select>';
        echo '</td>';
    echo '</tr>';
}

echo '<tr>';
	echo '<td class="leftrow">';
	echo '&nbsp;';
	echo '</td>';
	echo '<td class="rightrow">';
	echo '<input type="submit" class="button" value="'.__('Save module settings').'">';
	echo '</td>';
echo '</tr>';
echo '</tbody></table>';



// table header {{{
echo '<table class="colored" style="width: 100%;">';
echo '<thead><tr>';

echo '<th colspan="2"><span>'.__('Map settings').'</span></th>';

echo '</tr></thead><tbody>';
// }}}
echo '<tr>';
	echo '<td class="leftrow">';
	echo __('Map height:');
	echo '</td>';
	echo '<td class="rightrow">';
	echo '<input type="text" class="text" name="cpoMapNew[height]" value="'.$activeModules[$directory]['height'].'" maxlength="4" size="4"> '.__('pixels');
	echo '</td>';
echo '</tr>';
echo '<tr>';
	echo '<td class="leftrow">';
	echo __('Map width:');
	echo '</td>';
	echo '<td class="rightrow">';
	echo '<input type="text" class="text" name="cpoMapNew[width]" value="'.$activeModules[$directory]['width'].'" maxlength="4" size="4"> '.__('pixels');
	echo '</td>';
echo '</tr>';
echo '<tr>';
    echo '<td class="leftrow">';
    echo __('Map options:');
    echo '</td>';
    echo '<td class="rightrow">';
    echo '<textarea style="width: 95%; height: 150px;" id="mapOptions" class="text inputwidth" name="cpoMapNew[mapOptions]">'.htmlspecialchars($activeModules[$directory]['mapOptions'], ENT_COMPAT, 'ISO-8859-15').'</textarea>';
    echo '<br /><a href="#" onClick="textarea(\'mapOptions\', this);return false" id="lnk">'.__('enlarge').'</a>';
    echo '<br />'.sprintf(__('<b>Note:</b> Please use the map options specified in the <a href="%s" target="_blank">Google Map API</a>.'),'https://developers.google.com/maps/documentation/javascript/tutorial?hl=de#MapOptions');
    echo '</td>';
echo '</tr>';

echo '<tr>';
	echo '<td class="leftrow">';
	echo __('Rubric limitation:');
	echo '</td>';
	echo '<td class="rightrow">';
	echo '<select name="cpoMapNew[rubricsUse]">';
	$sel_off = ($activeModules[$directory]['rubricsUse'] == 'off') ? ' selected="selected"' :'';
	$sel_in  = ($activeModules[$directory]['rubricsUse'] == 'IN') ? ' selected="selected"' :'';
	$sel_out = ($activeModules[$directory]['rubricsUse'] == 'NOT IN') ? ' selected="selected"' :'';
	echo '<option value="off"'.$sel_off.'>'.__('off').'</option>';
	echo '<option value="IN"'.$sel_in.'>'.__('include').'</option>';
	echo '<option value="NOT IN"'.$sel_out.'>'.__('exclude').'</option>';
	echo '</select>';
	echo '</td>';
echo '</tr>';

echo '<tr>';
	echo '<td class="leftrow">';
	echo __('Displayed rubrics:');
	echo '</td>';
	echo '<td class="rightrow">';
	echo '<select name="cpoMapNew[rubrics][]" size="5" multiple="multiple">';
	$db->query('SELECT id, name, seclevel FROM '.CPO_RUBRIC.' ORDER BY name');
	while ($db->next_record()) {
		$sel = (@in_array($db->v('id'),$activeModules[$directory]['rubrics'])) ? ' selected="selected"' :'';
		echo '<option value="'.$db->v('id').'"'.$sel.'>'.$db->v('name').'</option>';
	}
	echo '</select>';
	echo '</td>';
echo '</tr>';

echo '<tr>';
	echo '<td class="leftrow">';
	echo '&nbsp;';
	echo '</td>';
	echo '<td class="rightrow">';
	echo '<input type="submit" class="button" value="'.__('Save module settings').'">';
	echo '</td>';
echo '</tr>';
echo '</tbody></table>';



// table header {{{
echo '<table class="colored" style="width: 100%;">';
echo '<thead><tr>';

echo '<th colspan="2"><span>'.__('Location settings').'</span></th>';

echo '</tr></thead><tbody>';
// }}}

echo '<tr>';
	echo '<td class="leftrow">';
	echo __('Latitude placeholder:');
	echo '</td>';
	echo '<td class="rightrow">';
	echo '<input type="text" class="text inputwidth" name="cpoMapNew[latitudePH]" value="'.htmlspecialchars($activeModules[$directory]['latitudePH'], ENT_COMPAT, 'ISO-8859-15').'" maxlength="255">';
	echo '</td>';
echo '</tr>';
echo '<tr>';
	echo '<td class="leftrow">';
	echo __('Longitude placeholder:');
	echo '</td>';
	echo '<td class="rightrow">';
	echo '<input type="text" class="text inputwidth" name="cpoMapNew[longitudePH]" value="'.htmlspecialchars($activeModules[$directory]['longitudePH'], ENT_COMPAT, 'ISO-8859-15').'" maxlength="255">';
	echo '</td>';
echo '</tr>';
echo '<tr>';
	echo '<td class="leftrow">';
	echo __('Icon placeholder:');
	echo '</td>';
	echo '<td class="rightrow">';
	echo '<input type="text" class="text inputwidth" name="cpoMapNew[iconPH]" value="'.htmlspecialchars($activeModules[$directory]['iconPH'], ENT_COMPAT, 'ISO-8859-15').'" maxlength="255">';
	echo '</td>';
echo '</tr>';
echo '<tr>';
	echo '<td class="leftrow">';
	echo __('Coordinates file:');
	echo '</td>';
	echo '<td class="rightrow">';
	echo '<select name="cpoMapNew[placesFile]">';
	$sel_small = ($activeModules[$directory]['placesFile'] == 'places.txt') ? ' selected="selected"' :'';
	$sel_big  = ($activeModules[$directory]['placesFile'] == 'OrteBundesland.txt') ? ' selected="selected"' :'';
	echo '<option value="places.txt"'.$sel_small.'>places.txt (0,5 MB)</option>';
	echo '<option value="OrteBundesland.txt"'.$sel_big.'>OrteBundesland.txt (7 MB)</option>';
	echo '</select>';
	echo '</td>';
echo '</tr>';

echo '<tr>';
	echo '<td class="leftrow">';
	echo '&nbsp;';
	echo '</td>';
	echo '<td class="rightrow">';
	echo '<input type="submit" class="button" value="'.__('Save module settings').'">';
	echo '</td>';
echo '</tr>';
echo '</tbody></table>';

// table header {{{
echo '<table class="colored" style="width: 100%;">';
echo '<thead><tr>';

echo '<th colspan="2"><span>'.__('Controls settings').'</span></th>';

echo '</tr></thead><tbody>';
// }}}

echo '<tr>';
	echo '<td class="leftrow">';
	echo __('Reset text:');
	echo '</td>';
	echo '<td class="rightrow">';
	echo '<input type="text" class="text inputwidth" name="cpoMapNew[reset]" value="'.htmlspecialchars($activeModules[$directory]['reset'], ENT_COMPAT, 'ISO-8859-15').'" maxlength="255">';
	echo '</td>';
echo '</tr>';
echo '<tr>';
	echo '<td class="leftrow">';
	echo __('Zoomable capitals:');
	echo '</td>';
	echo '<td class="rightrow">';
	echo '<input type="text" class="text inputwidth" name="cpoMapNew[capitals]" value="'.htmlspecialchars($activeModules[$directory]['capitals'], ENT_COMPAT, 'ISO-8859-15').'" maxlength="255">';
	echo '</td>';
echo '</tr>';
echo '<tr>';
	echo '<td class="leftrow">';
	echo __('Capitals country:');
	echo '</td>';
	echo '<td class="rightrow">';
	echo '<input type="text" class="text inputwidth" name="cpoMapNew[country]" value="'.htmlspecialchars($activeModules[$directory]['country'], ENT_COMPAT, 'ISO-8859-15').'" maxlength="255">';
	echo '</td>';
echo '</tr>';
echo '<tr>';
	echo '<td class="leftrow">';
	echo __('Search form');
	echo '</td>';
	echo '<td class="rightrow">';
	echo '<input type="text" class="text inputwidth" name="cpoMapNew[searchForm]" value="'.htmlspecialchars($activeModules[$directory]['searchForm'], ENT_COMPAT, 'ISO-8859-15').'" maxlength="255">';
    echo '<br />'.__('<b>Syntax:</b> prompt-text; phrase preset; submit-text');
	echo '</td>';
echo '</tr>';

echo '<tr>';
	echo '<td class="leftrow">';
	echo '&nbsp;';
	echo '</td>';
	echo '<td class="rightrow">';
	echo '<input type="submit" class="button" value="'.__('Save module settings').'">';
	echo '</td>';
echo '</tr>';
echo '</tbody></table>';


echo '</form>';

require(CPO_BASEDIR.'_include/footer.php');
?>
